import React, { useEffect, useRef } from 'react';
import ReactDOM from 'react-dom';
import './index.css';
// import {
//   janimationstart,
//   janimationiteration,
//   janimationend,
//   jtransitionend
// } from '../src/index.js'
import { janimationstart, janimationiteration, janimationend, jtransitionend } from '../dist/index.esm.js'


function Home() {
  const divRef = useRef(null);
  const transRef = useRef(null);
  useEffect(() => {
    var x = divRef.current;
    x.addEventListener(janimationstart, myStartFunction);
    x.addEventListener(janimationiteration, myIterationFunction);
    x.addEventListener(janimationend, myEndFunction);
    transRef.current.addEventListener(jtransitionend, _transFunction);
    return () => {
      x.removeEventListener(janimationstart);
      x.removeEventListener(janimationiteration);
      x.removeEventListener(janimationend);
      transRef.current.removeEventListener(jtransitionend);
    }
  }, [])

  function myStartFunction() {
    this.innerHTML = "animationstart 事件触发 - 动画已经开始";
    this.style.backgroundColor = "pink";
  }
  function myIterationFunction() {
    this.innerHTML = "animationiteration 事件触发 - 动画重新播放";
    this.style.backgroundColor = "lightblue";
  }
  function myEndFunction() {
    this.innerHTML = "animationend 事件触发 - 动画已经完成";
    this.style.backgroundColor = "lightgray";
  }
  function _myFunction() {
    divRef.current.style.WebkitAnimation = "mymove 4s 3"; // Chrome, Safari 和 Opera 代码
    divRef.current.style.animation = "mymove 4s 3";//每次动画时间4S，循环3次
  }

  function _transFunction() {
    this.innerHTML = "过渡事件触发 - 过渡已完成";
    this.style.backgroundColor = "pink";
  }

  return (
    <div className='Home'>
      <div className="hint">该实例使用了 addEventListener() 方法为 DIV 元素添加"janimationstart", "janimationiteration" 和 "janimationend" 事件。 </div>
      <div ref={divRef} onClick={_myFunction} className="con">点我开始动画 </div>
      <br />
      <div className="hint">该实例使用了 addEventListener() 方法为 DIV 元素添加"jtransitionend" 事件。 </div>
      <div ref={transRef} onClick={_transFunction} className="transcon">放我上面开始过渡动画 </div>
    </div>

  );
}
ReactDOM.render(<Home />, document.getElementById('root'))